{
    attributes = (
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "CSF_ORDRE"; 
            externalType = NUMBER; 
            name = csfOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSF_SOURCE"; 
            externalType = NUMBER; 
            name = csfSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_SOL_FAM"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CG_SOL_FAM"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_CG_SOL_FAM"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_CERTIFICAT_MEDICAL"; 
            externalType = DATE; 
            name = dCertificatMedical; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_ANTICIPEE"; 
            externalType = DATE; 
            name = dFinAnticipee; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_SOL_FAM"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARRETE_RENOUV"; 
            externalType = NUMBER; 
            name = noSeqArreteRenouv; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CSF_OPERATION"; 
            externalType = VARCHAR2; 
            name = operation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "CSF_STATUT"; 
            externalType = VARCHAR2; 
            name = statut; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCSF_ORDRE"; 
            externalType = NUMBER; 
            name = tcsfOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "CSF_IMPORT"; 
            externalType = VARCHAR2; 
            name = temImport; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_RENOUVELE"; 
            externalType = VARCHAR2; 
            name = temRenouvele; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        commentaire, 
        csfOrdre, 
        csfSource, 
        indOrdre, 
        noArrete, 
        noSeqArreteRenouv, 
        operation, 
        statut, 
        tcsfOrdre, 
        temConfirme, 
        temGestEtab, 
        temImport, 
        temRenouvele, 
        temValide
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOCongeSolidariteFamiliale"; 
    classProperties = (
        commentaire, 
        congeRenouvele, 
        csfSource, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCertificatMedical, 
        dCreation, 
        dFinAnticipee, 
        dModification, 
        idSource, 
        individu, 
        noArrete, 
        noSeqArreteRenouv, 
        operation, 
        statut, 
        tcsfOrdre, 
        temConfirme, 
        temGestEtab, 
        temImport, 
        temRenouvele, 
        temValide, 
        typeCsf
    ); 
    externalName = "IMPORT.CONGE_SOLIDARITE_FAMILIALE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            commentaire, 
            congeRenouvele, 
            csfSource, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dCertificatMedical, 
            dCreation, 
            dFinAnticipee, 
            dModification, 
            idSource, 
            individu, 
            noArrete, 
            noSeqArreteRenouv, 
            operation, 
            statut, 
            tcsfOrdre, 
            temConfirme, 
            temGestEtab, 
            temImport, 
            temRenouvele, 
            temValide, 
            typeCsf
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.entite_import.EOCongeSolidariteFamiliale"; 
    }; 
    name = CongeSolidariteFamiliale; 
    primaryKeyAttributes = (csfOrdre); 
    relationships = (
        {
            destination = CongeSolidariteFamiliale; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = csfOrdre; sourceAttribute = noSeqArreteRenouv; }); 
            name = congeRenouvele; 
        }, 
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }, 
        {
            destination = TypeCsf; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcsfOrdre; sourceAttribute = tcsfOrdre; }); 
            name = typeCsf; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetImportPourIndividuEtPeriode; }; }; 
}
